### Hierarchy

- Object
  - IXmlableObject

## Index

### Properties

- Object
- _attr
- constructor
- should

### Methods

- hasOwnProperty
- isPrototypeOf
- propertyIsEnumerable
- toLocaleString
- toString
- valueOf

## Properties

### Object

Object: ObjectConstructor

- Defined in /home/travis/build/dolanmiu/docx/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:257

Provides functionality common to all JavaScript objects.

### Optional _attr

_attr: undefined | object

- Defined in file/xml-components/xmlable-object.ts:2

### constructor

constructor: Function

Inherited from Object.constructor

- Defined in /home/travis/build/dolanmiu/docx/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:112

The initial value of Object.prototype.constructor is the standard built-in Object constructor.

### should

should: Assertion

Inherited from Object.should

- Defined in /home/travis/build/dolanmiu/docx/node_modules/@types/chai/index.d.ts:1251

## Methods

### hasOwnProperty

- hasOwnProperty(v: string): boolean

- Inherited from Object.hasOwnProperty

  Overrides Object.hasOwnProperty

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:127

  Determines whether an object has a property with the specified name.

  #### Parameters

  - ##### v: string

    A property name.

  #### Returns boolean

### isPrototypeOf

- isPrototypeOf(v: Object): boolean

- Inherited from Object.isPrototypeOf

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:133

  Determines whether an object exists in another object's prototype chain.

  #### Parameters

  - ##### v: Object

    Another object whose prototype chain is to be checked.

  #### Returns boolean

### propertyIsEnumerable

- propertyIsEnumerable(v: string): boolean

- Inherited from Object.propertyIsEnumerable

  Overrides Object.propertyIsEnumerable

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:139

  Determines whether a specified property is enumerable.

  #### Parameters

  - ##### v: string

    A property name.

  #### Returns boolean

### toLocaleString

- toLocaleString(): string

- Inherited from Object.toLocaleString

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:118

  Returns a date converted to a string using the current locale.

  #### Returns string

### toString

- toString(): string

- Inherited from Object.toString

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:115

  Returns a string representation of an object.

  #### Returns string

### valueOf

- valueOf(): Object

- Inherited from Object.valueOf

  - Defined in /home/travis/build/dolanmiu/docx/node_modules/typedoc/node_modules/typescript/lib/lib.es6.d.ts:121

  Returns the primitive value of the specified object.

  #### Returns Object

Generated using TypeDoc